             subroutine Cpivot(p1,p2) 
             real* 8 p1(2),p2(2) 
             integer* 4 i,j 
             real* 4 v,w 
             v = p1(1) 
             i = p1(2) 
             w = p2(1)   
             j = p2(2)  
             if ( v .gt. w ) then 
               p2(1) = p1(1)  
               p2(2) = p1(2) 
             else if ( v .eq. w ) then 
               if ( i.eq.j ) then 
                 print* , Error: Cpivot() has same row p1 and p2 
               else if ( i .lt. j ) then 
                  p2(1) = p1(1) 
                  P2(2) = p1(2) 
               endif 
             endif 
             return 
             end 
